1

I am trying to install rvm when in run the command

\curl -sSL https://get.rvm.io | bash -s stable

I get:

Downloading https://github.com/rvm/rvm/archive/1.29.9.tar.gz
Downloading https://github.com/rvm/rvm/releases/download/1.29.9/1.29.9.tar.gz.asc
gpg: Signature made Wednesday 10 July 2019 02:01:02 PM IST
gpg:                using RSA key 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
gpg: Good signature from "Piotr Kuczynski <piotr.kuczynski@gmail.com>" [ultimate]
GPG verified '/usr/share/rvm/archives/rvm-1.29.9.tgz'
tar: binscripts: Cannot utime: Operation not permitted
tar: config/solaris: Cannot utime: Operation not permitted
tar: config: Cannot utime: Operation not permitted
tar: contrib/hudson: Cannot utime: Operation not permitted
tar: contrib: Cannot utime: Operation not permitted
tar: docs: Cannot utime: Operation not permitted
tar: examples: Cannot utime: Operation not permitted
tar: gem-cache: Cannot utime: Operation not permitted
tar: gemsets/jruby: Cannot utime: Operation not permitted
tar: gemsets/ruby/1.8.5: Cannot utime: Operation not permitted
tar: gemsets/ruby/1.8.6: Cannot utime: Operation not permitted
tar: gemsets/ruby/1.8.7: Cannot utime: Operation not permitted
tar: gemsets/ruby: Cannot utime: Operation not permitted
tar: gemsets: Cannot utime: Operation not permitted
tar: help/gemset: Cannot utime: Operation not permitted
tar: help/rvmrc: Cannot utime: Operation not permitted
tar: help: Cannot utime: Operation not permitted
tar: hooks: Cannot utime: Operation not permitted
tar: lib/rvm: Cannot utime: Operation not permitted
tar: lib: Cannot utime: Operation not permitted
tar: man/man1: Cannot utime: Operation not permitted
tar: man: Cannot utime: Operation not permitted
tar: patches/goruby: Cannot utime: Operation not permitted
tar: patches/jruby/1.7.9: Cannot utime: Operation not permitted
tar: patches/jruby: Cannot utime: Operation not permitted
tar: patches/libxslt-1.1.26: Cannot utime: Operation not permitted
tar: patches/rbx/2.5.2: Cannot utime: Operation not permitted
tar: patches/rbx: Cannot utime: Operation not permitted
tar: patches/readline-5.2: Cannot utime: Operation not permitted
tar: patches/readline-6.2: Cannot utime: Operation not permitted
tar: patches/ree/1.8.6: Cannot utime: Operation not permitted
tar: patches/ree/1.8.7/2010.02: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.4: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.5: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.6: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.7/p72: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.7: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.1/p431: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.1: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2/head: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2/p180: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2/p290: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p0: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p125: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p194: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p286: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p327: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p362: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p374: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p385: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p429: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/preview1: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3: Cannot utime: Operation not permitted
tar: patches/ruby/2.0.0/p451: Cannot utime: Operation not permitted
tar: patches/ruby/2.0.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.1: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.2: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.3: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.4: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.5: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.6: Cannot utime: Operation not permitted
.
.
.
tar: scripts/zsh/Completion: Cannot utime: Operation not permitted
tar: scripts/zsh: Cannot utime: Operation not permitted
tar: scripts: Cannot utime: Operation not permitted
tar: patches/ree/1.8.7: Cannot utime: Operation not permitted
tar: patches/ree: Cannot utime: Operation not permitted
tar: patches: Cannot utime: Operation not permitted
tar: bin: Cannot utime: Operation not permitted
tar: Exiting with failure status due to previous errors
Could not extract RVM sources.
Downloading https://bitbucket.org/mpapis/rvm/get/1.29.9.tar.gz
Downloading https://bitbucket.org/mpapis/rvm/downloads/1.29.9.tar.gz.asc
gpg: Signature made Wednesday 10 July 2019 02:01:04 PM IST
gpg:                using RSA key 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
gpg: Good signature from "Piotr Kuczynski <piotr.kuczynski@gmail.com>" [ultimate]
GPG verified '/usr/share/rvm/archives/rvm-1.29.9.tgz'
tar: binscripts: Cannot utime: Operation not permitted
tar: config/solaris: Cannot utime: Operation not permitted
tar: config: Cannot utime: Operation not permitted
tar: contrib/hudson: Cannot utime: Operation not permitted
tar: contrib: Cannot utime: Operation not permitted
tar: docs: Cannot utime: Operation not permitted
tar: examples: Cannot utime: Operation not permitted
tar: gem-cache: Cannot utime: Operation not permitted
tar: gemsets/jruby: Cannot utime: Operation not permitted
tar: gemsets/ruby/1.8.5: Cannot utime: Operation not permitted
tar: gemsets/ruby/1.8.6: Cannot utime: Operation not permitted
tar: gemsets/ruby/1.8.7: Cannot utime: Operation not permitted
tar: gemsets/ruby: Cannot utime: Operation not permitted
tar: gemsets: Cannot utime: Operation not permitted
tar: help/gemset: Cannot utime: Operation not permitted
tar: help/rvmrc: Cannot utime: Operation not permitted
tar: help: Cannot utime: Operation not permitted
tar: hooks: Cannot utime: Operation not permitted
tar: lib/rvm: Cannot utime: Operation not permitted
tar: lib: Cannot utime: Operation not permitted
tar: man/man1: Cannot utime: Operation not permitted
tar: man: Cannot utime: Operation not permitted
tar: patches/goruby: Cannot utime: Operation not permitted
tar: patches/jruby/1.7.9: Cannot utime: Operation not permitted
tar: patches/jruby: Cannot utime: Operation not permitted
tar: patches/libxslt-1.1.26: Cannot utime: Operation not permitted
tar: patches/rbx/2.5.2: Cannot utime: Operation not permitted
tar: patches/rbx: Cannot utime: Operation not permitted
tar: patches/readline-5.2: Cannot utime: Operation not permitted
tar: patches/readline-6.2: Cannot utime: Operation not permitted
tar: patches/ree/1.8.6: Cannot utime: Operation not permitted
tar: patches/ree/1.8.7/2010.02: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.4: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.5: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.6: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.7/p72: Cannot utime: Operation not permitted
tar: patches/ruby/1.8.7: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.1/p431: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.1: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2/head: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2/p180: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2/p290: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.2: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p0: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p125: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p194: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p286: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p327: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p362: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p374: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p385: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/p429: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3/preview1: Cannot utime: Operation not permitted
tar: patches/ruby/1.9.3: Cannot utime: Operation not permitted
tar: patches/ruby/2.0.0/p451: Cannot utime: Operation not permitted
tar: patches/ruby/2.0.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.1: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.2: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.3: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.4: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.5: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.6: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.7: Cannot utime: Operation not permitted
tar: patches/ruby/2.1.8: Cannot utime: Operation not permitted
tar: patches/ruby/2.1: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.1: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.10: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.2: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.3: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.4: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.5: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.6: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.7: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.8: Cannot utime: Operation not permitted
tar: patches/ruby/2.2.9: Cannot utime: Operation not permitted
tar: patches/ruby/2.2: Cannot utime: Operation not permitted
tar: patches/ruby/2.3.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.3.1: Cannot utime: Operation not permitted
tar: patches/ruby/2.3.2: Cannot utime: Operation not permitted
tar: patches/ruby/2.3.3: Cannot utime: Operation not permitted
tar: patches/ruby/2.3.4: Cannot utime: Operation not permitted
tar: patches/ruby/2.4.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.4.1: Cannot utime: Operation not permitted
tar: patches/ruby/2.5.0: Cannot utime: Operation not permitted
tar: patches/ruby/2.5.1: Cannot utime: Operation not permitted
tar: patches/ruby: Cannot utime: Operation not permitted
tar: patches/tcs: Cannot utime: Operation not permitted
tar: patchsets/jruby/1.7.9: Cannot utime: Operation not permitted
tar: patchsets/jruby: Cannot utime: Operation not permitted
tar: patchsets/rbx/2.5.2: Cannot utime: Operation not permitted
tar: patchsets/rbx: Cannot utime: Operation not permitted
tar: patchsets/ree/1.8.6: Cannot utime: Operation not permitted
tar: patchsets/ree/1.8.7/2012.02: Cannot utime: Operation not permitted
tar: patchsets/ree/1.8.7: Cannot utime: Operation not permitted
tar: patchsets/ree: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.6: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p334: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p352: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p357: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p358: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p370: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p371: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p373: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7/p374: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.8.7: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.1/p431: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.2/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.2/p180: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.2/p290: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.2/p318: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.2/p320: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p125: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p194: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p286: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p327: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p362: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p374: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p385: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p392: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p429: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p448: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p484: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p545: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p547: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p550: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3/p551: Cannot utime: Operation not permitted
tar: patchsets/ruby/1.9.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p195: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p247: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p353: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p451: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p481: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p594: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p598: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p645: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p647: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0/p648: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.0.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.10: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.6: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.7: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.8: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1.9: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.10: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.6: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.7: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.8: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2.9: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.6: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.7: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3.8: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5.3: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5.4: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.5: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.6.0: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.6.1: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.6.2: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.6/head: Cannot utime: Operation not permitted
tar: patchsets/ruby/2.6: Cannot utime: Operation not permitted
tar: patchsets/ruby/head: Cannot utime: Operation not permitted
tar: patchsets/ruby: Cannot utime: Operation not permitted
tar: patchsets: Cannot utime: Operation not permitted
tar: rvm-test: Cannot utime: Operation not permitted
tar: rvm-test-rvm1: Cannot utime: Operation not permitted
tar: scripts/extras/bash_zsh_support/chpwd: Cannot utime: Operation not permitted
tar: scripts/extras/bash_zsh_support: Cannot utime: Operation not permitted
tar: scripts/extras/completion.zsh: Cannot utime: Operation not permitted
tar: scripts/extras/java_read_properties: Cannot utime: Operation not permitted
tar: scripts/extras: Cannot utime: Operation not permitted
tar: scripts/functions/detect/system_name: Cannot utime: Operation not permitted
tar: scripts/functions/detect/system_version: Cannot utime: Operation not permitted
tar: scripts/functions/detect: Cannot utime: Operation not permitted
tar: scripts/functions/hooks: Cannot utime: Operation not permitted
tar: scripts/functions/manage/install: Cannot utime: Operation not permitted
tar: scripts/functions/manage: Cannot utime: Operation not permitted
tar: scripts/functions/notes/warnings: Cannot utime: Operation not permitted
tar: scripts/functions/notes: Cannot utime: Operation not permitted
tar: scripts/functions/requirements: Cannot utime: Operation not permitted
tar: scripts/functions: Cannot utime: Operation not permitted
tar: scripts/zsh/Completion: Cannot utime: Operation not permitted
tar: scripts/zsh: Cannot utime: Operation not permitted
tar: scripts: Cannot utime: Operation not permitted
tar: patches/ree/1.8.7: Cannot utime: Operation not permitted
tar: patches/ree: Cannot utime: Operation not permitted
tar: patches: Cannot utime: Operation not permitted
tar: bin: Cannot utime: Operation not permitted
tar: Exiting with failure status due to previous errors
Could not extract RVM sources.

  • Looks like you are making a system install rather than a local install for a single user? If this is really your plan you will need to prefix your command with sudo. A single user install by default will actually install to $HOME/.rvm and does not required elevated privileges... – andrew.46 Oct 10 '19 at 21:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.